changeset 2188:62ae3d140185

merge with crew
author Benoit Boissinot <benoit.boissinot@ens-lyon.org>
date Wed, 03 May 2006 13:12:34 +0200
parents 09d3eebdd9b2 (diff) 5acd648770d0 (current diff)
children e3eba577a0ae f027bc2d3f4a
files
diffstat 2 files changed, 3 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/tests/test-archive	Wed May 03 11:57:14 2006 +0200
+++ b/tests/test-archive	Wed May 03 13:12:34 2006 +0200
@@ -29,8 +29,8 @@
                     % (node, archive))
 sys.stdout.write(f.read())
 EOF
-http_proxy= python getarchive.py "$TIP" gz | gunzip -dc - | tar tf - | sed "s/$QTIP/TIP/"
-http_proxy= python getarchive.py "$TIP" bz2 | bunzip2 -dc - | tar tf - | sed "s/$QTIP/TIP/"
+http_proxy= python getarchive.py "$TIP" gz | gunzip | tar tf - | sed "s/$QTIP/TIP/"
+http_proxy= python getarchive.py "$TIP" bz2 | bunzip2 | tar tf - | sed "s/$QTIP/TIP/"
 http_proxy= python getarchive.py "$TIP" zip > archive.zip
 unzip -t archive.zip | sed "s/$QTIP/TIP/"
 
--- a/tests/test-backout	Wed May 03 11:57:14 2006 +0200
+++ b/tests/test-backout	Wed May 03 13:12:34 2006 +0200
@@ -28,7 +28,7 @@
 echo '# backout of backout is as if nothing happened'
 
 hg backout -d '3 0' --merge tip
-cat a
+cat a 2>/dev/null || echo cat: a: No such file or directory
 
 echo '# backout with merge'
 cd ..